PHP GroupがPHP 4.3.0の欠陥を修正 | ScanNetSecurity[国内最大級のサイバーセキュリティ専門ポータルサイト]
2018.10.24(水)

PHP GroupがPHP 4.3.0の欠陥を修正

 アイ・ディフェンス・ジャパンからの情報によると、PHPバージョン4.3.0で、リモート攻撃者によるPHP CGIバイナリへのダイレクトアクセスを可能にするセキュリティ欠陥が発見された。PHP 4.3.0では、─enable-force-cgi-redirectのコマンドラインオプションを無効化し、

国際 海外情報
 アイ・ディフェンス・ジャパンからの情報によると、PHPバージョン4.3.0で、リモート攻撃者によるPHP CGIバイナリへのダイレクトアクセスを可能にするセキュリティ欠陥が発見された。PHP 4.3.0では、─enable-force-cgi-redirectのコマンドラインオプションを無効化し、cgi.force_redirectの php.ini設定指示コマンドを妨害する欠陥が発生した。PHP CGIバイナリにアクセスした攻撃者は、ウェブサーバのユーザによるアクセスが可能な、サーバ上の全てのファイルを表示できるようになる。さらに攻撃者は、ほとんどの設定ファイルにアクセスし、インストールされているソフトウェアとバージョンを特定することができる。


※この情報はアイ・ディフェンス・ジャパン
 ( http://www.idefense.co.jp/ )より提供いただいております。
 アイディフェンス社の iAlert サービスについて
 http://shop.vagabond.co.jp/p-alt01.shtml
 情報の内容は以下の時点におけるものです
 【12:02 GMT、02、18、2003】


告知:
SCAN シリーズ まるとく・セキュリティ商品 4大キャンペーン!3月末まで!
http://shop.vagabond.co.jp/campaign/
『Scan Security Management』 創刊!
http://shop.vagabond.co.jp/m-ssm01.shtml
《ScanNetSecurity》

Scan PREMIUM 会員限定記事

もっと見る

Scan PREMIUM 会員限定記事特集をもっと見る

カテゴリ別新着記事

(。・ω・)ゞ !!ScanNetSecurity創刊20周年特別キャンペーン実施中。会員限定 PREMIUM 記事読み放題。早割10月末迄。現在通常料金半額以下!!
<b>(。・ω・)ゞ !!ScanNetSecurity創刊20周年特別キャンペーン実施中。会員限定 PREMIUM 記事読み放題。早割<font color=10月末迄。現在通常料金半額以下!!">

サイバーセキュリティの専門誌 ScanNetSecurity は 1998年の創刊から20周年を迎え、感謝を込めた特別キャンペーンを実施中。創刊以来史上最大割引率。次は30周年が来るまでこの価格はもうありません

×